(************************************************************************
*    This File is Part of the AHM Triton Tools                          *
*    for Borland Delphi and C++ Builder.                                *
*************************************************************************
* Copyright  1995-2000 Alexander H. Mehlhorn (AHM) and Tritontools.com *
* All Rights reserved.                                                  *
*                                                                       *
*    For more Information contact us at                                 *
*    E-Mail : support@tritontools.com                                   *
*    URL : http://www.tritontools.com                                   *
*                                                                       *
*    AHM is copyright by Alexander H. Mehlhorn                          *
*    All Parts of this Collection were developed,                       *
*    designed and implemented by AHM                                    *
*                                                                       *
*    Under no Circumstances may you distribute this file                *
*    in this or any other format. This File is supplied                 *
*    as Evaluation of Source only. No Delphi Components may be developed*
*    using extracts or subsets of this code without expressed permission*
*    by AHM.                                                            *
*                                                                       *
*************************************************************************)
unit AHMTWinListbox;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,Extctrls,AHMFreeware;

type
  TAHMWinListbox = class(TListbox)
  protected
    FAbout : TAHMAboutFreeStr;
    procedure CreateParams(var Params: TCreateParams); override;
  published
    Property About : TAHMAboutFreeStr read FAbout write FAbout;
    property Caption;
  end;

implementation

procedure TAHMWinListbox.CreateParams;
begin
  inherited CreateParams(Params);
  with Params do Style := Style or WS_CAPTION or WS_SIZEBOX;
  with Params do ExStyle := ExStyle or WS_EX_TOOLWINDOW;
end;

end.
